EventPointCollection (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.chart.EventPointCollection class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.chart
Class EventPointCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.hyperic.image.chart.EventPointCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class EventPointCollection

extends java.util.ArrayList

DataPointCollection holds a collection of objects that implement the org.hyperic.util.data.IDataPoint interface. The collection of objects form are charted when give to a subclass of net.hyperic.chart.Chart.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`EventPointCollection()`

Method Summary
`boolean` | `add(IEventPoint element)` Adds an element to the collection.
`boolean` | `addAll(EventPointCollection c)` Adds the elements of the specified collection to this collection.
`boolean` | `contains(IEventPoint element)` Determines whether the collection contains the specified element.
`boolean` | `containsAll(EventPointCollection c)` Determines whether the collection contains all of the elements in the specified collection.
`boolean` | `remove(IEventPoint element)` Removes the specified element from the collection.
`boolean` | `removeAll(EventPointCollection c)` Removes all of the elements in the specified collection from this collection.
`boolean` | `retainAll(EventPointCollection c)` Removes all of the elements in the collection except those in the specified collection.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### EventPointCollection

    public EventPointCollection()

Method Detail

### add

    public boolean add(IEventPoint element)

  Adds an element to the collection.

  Parameters:
    `element` - The object to add to the collection.
  Returns:
    true of object was successfully added to the collection.
  Throws:
    `java.lang.ClassCastException` - If the element does not implement the IEventPoint interface.

### addAll

    public boolean addAll(EventPointCollection c)

  Adds the elements of the specified collection to this collection.

  Parameters:
    `c` - The collection to add to this collection.
  Returns:
    true if the objects was successfully added to the collection.
  Throws:
    `java.lang.ClassCastException` - If the specified collection is not a net.hyperic.chart.DataCollection or subclass.

### contains

    public boolean contains(IEventPoint element)

  Determines whether the collection contains the specified element.

  Parameters:
    `element` - The object to test for in the collection.
  Returns:
    true if the collection contains the specified element.
  Throws:
    `java.lang.ClassCastException` - If the element does not implement the net.hyperic.chart.IEventPoint interface.

### containsAll

    public boolean containsAll(EventPointCollection c)

  Determines whether the collection contains all of the elements in the specified collection.

  Parameters:
    `c` - The collection containing the element to check for.
  Returns:
    true if the collection contains the specified objects.
  Throws:
    `java.lang.ClassCastException` - If the specified collection is not a net.hyperic.chart.DataCollection or subclass.

### remove

    public boolean remove(IEventPoint element)

  Removes the specified element from the collection.

  Parameters:
    `o` - The object to remove from the collection.
  Returns:
    true if object was successfully removed from the collection.
  Throws:
    `java.lang.ClassCastException` - If the element does not implement the IEventPoint interface.

### removeAll

    public boolean removeAll(EventPointCollection c)

  Removes all of the elements in the specified collection from this collection.

  Parameters:
    `c` - The collection of objects to remove.
  Returns:
    true if the elements were successfully removed from the collection.
  Throws:
    `java.lang.ClassCastException` - If the specified collection is not a net.hyperic.chart.DataCollection or subclass.

### retainAll

    public boolean retainAll(EventPointCollection c)

  Removes all of the elements in the collection except those in the specified collection.

  Parameters:
    `c` - The collection of objects to retain.
  Returns:
    true if the elements were succesfully retained.
  Throws:
    `java.lang.ClassCastException` - If the specified collection is not a net.hyperic.chart.DataCollection or subclass.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.